<?php

function getDataSourceDS($hostId, $template_id, $snmpFieldName, $snmpValueName, &$errors){
	
	if(empty($hostId)){
		catchException("", "hostId", "getDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($template_id)){
		catchException("", "template_id", "getDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpFieldName)){
		catchException("", "snmpFieldName", "getDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	if(($snmpValueName == "")){
		catchException("", "snmpValueName", "getDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	
	$data_template_data = db_fetch_row("SELECT data_template_data.id, data_template_data.data_source_path, data_template.id, host_snmp_cache.field_name, host_snmp_cache.field_value FROM data_template_data,
        data_local, data_template, host_snmp_cache
        WHERE data_template_data.local_data_id = data_local.id 
        AND host_snmp_cache.host_id = data_local.host_id
        AND data_template.id = data_local.data_template_id 
        AND host_snmp_cache.snmp_index = data_local.snmp_index
        AND data_local.host_id = '" . $hostId . "' 
        AND data_template.id = '" . $template_id . "'
        AND host_snmp_cache.field_name = '" . $snmpFieldName . "'
        AND host_snmp_cache.field_value = '" . $snmpValueName . "'");

	if ((!isset($data_template_data) || empty($data_template_data))){
		catchException("", "data_template_data", "getDataSourceDS","Record not found", $errors);
		catchException($hostId, "hostId", "getDataSourceDS","Record not found", $errors);
		catchException($template_id, "template_id", "getDataSourceDS","Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "getDataSourceDS","Record not found", $errors);
		catchException($snmpValueName, "snmpValueName", "getDataSourceDS","Record not found", $errors);
		return 1;
	}
	return $data_template_data;
}

function updateDataSourceDS($data_source_path, $data_template_data_id, &$errors){
	
	if(empty($data_source_path)){
		catchException("", "data_source_path", "updateDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($data_template_data_id)){
		catchException("", "data_template_data_id", "updateDataSourceDS", "Value must not be empty", $errors);
		return 1;
	}
	db_execute("UPDATE data_template_data SET data_template_data.data_source_path='" . $data_source_path . "' WHERE data_template_data.id = ". $data_template_data_id);
	
	return $data_template_data;

}
?>