<?php

function updateHostFQDN($fqdn, $hostID, &$errors)
{
	if(empty($fqdn)){
		catchException("", "fqdn", "updateHostFQDN","Value must not be empty", $errors);
	}
	if(empty($hostID)){
		catchException("", "hostID", "updateHostFQDN","Value must not be empty", $errors);
	}
	if (!empty($errors)) {
		return 1;
	}
	db_execute("update host set hostname = '$fqdn' where id = " . $hostID);
	return 0;
}

function getHostCommunities(&$errors){
	$communitiesReturn = db_fetch_assoc("select snmp_community from host group by snmp_community");
	if(!isset($communitiesReturn) || empty($communitiesReturn)){
		catchException("", "communitiesReturn", "getHostCommunities", "Records not found", $errors);
		return 1;
	}
	return $communitiesReturn;
}

function updateHostDescription($description, $hostAddresseID, &$errors)
{
	if(empty($description)){
		catchException("", "description", "updateHostDescription","Value must not be empty", $errors);
	}
	if(empty($hostAddresseID)){
		catchException("", "hostAddresseID", "updateHostDescription","Value must not be empty", $errors);
	}
	if (!empty($errors)) {
		return 1;
	}
	db_execute("update host set description = '$description' where id = " . $hostAddresseID);
	return 0;
}

function getHostTemplateByName($hostTemplateName, &$errors)
{
	if(empty($hostTemplateName)){
		catchException("", "hostTemplateName", "getHostTemplateByName", "Value must not be empty", $errors);
		return 1;
	}
	$hostTemplateReturn = db_fetch_row("select id, name from host_template WHERE name = '" . $hostTemplateName . "'");
	if(!isset($hostTemplateReturn) || empty($hostTemplateReturn)){
		catchException($hostTemplateName, "hostTemplateName", "getHostTemplateByName", "Record not found", $errors);
		catchException("", "hostTemplateReturn", "getHostTemplateByName", "Record not found", $errors);
		return 1;
	}
	return $hostTemplateReturn;
}

function getHostTemplateByID($template_id, &$errors)
{
	if(empty($template_id)){
		catchException("", "template_id", "getHostTemplateByID", "Value must not be empty", $errors);
		return 1;
	}
	$templateReturn = db_fetch_row("select id, name from host_template WHERE id = " . $template_id . "");
	if(!isset($templateReturn) || empty($templateReturn)){
		catchException($template_id, "template_id", "getHostTemplateByID", "Record not found", $errors);
		catchException("", "templateReturn", "getHostTemplateByID", "Record not found", $errors);
		return 1;
	}
	return $templateReturn;
}

function getHostTemplates(&$errors)
{
	$hostTemplatesReturn = db_fetch_assoc("select id, name from host_template order by id");
	if(!isset($hostTemplatesReturn) || empty($hostTemplatesReturn)){
		catchException("", "hostTemplatesReturn", "getHostTemplates", "Records not found", $errors);
		return 1;
	}
	return $hostTemplatesReturn;
}

function getHostByDescription($description, $dbMustExist, &$errors)
{
	if(empty($description)){
		catchException("", "description", "getHostByDescription","Value must not be empty", $errors);
		return 1;
	}
	$hostReturn = db_fetch_row("select id, hostname from host WHERE description = '" . $description . "'");

	if ((!isset($hostReturn) || empty($hostReturn)) && $dbMustExist){
		catchException($description, "description", "getHostByDescription","Record not found", $errors);
		catchException("", "hostReturn", "getHostByDescription","Record not found", $errors);
		return 1;
	} /*elseif ((isset($hostReturn) || !empty($hostReturn)) && !$dbMustExist){
	catchException($description, "description", "getHostByDescription","Record already exist", $errors);
	catchException($hostReturn, "hostReturn", "getHostByDescription","Record already exist", $errors);
	return $hostReturn;
	}*/
	return $hostReturn; //id, hostname
}
function getHostByID($hostId, &$errors)
{
	if(empty($hostId)){
		catchException("", "hostId", "getHostByID", "Value must not be empty", $errors);
		return 1;
	}
	$hostReturn = db_fetch_row("select id, hostname, description from host WHERE id = " . $hostId . "");

	if (!isset($hostReturn) || empty($hostReturn)){
		catchException($hostId, "hostId", "getHostByID", "Record not found", $errors);
		catchException("", "hostReturn", "getHostByID", "Record not found", $errors);
		return 1;
	}
	return $hostReturn;
}

function getHosts(&$errors)
{
	$hosts = db_fetch_assoc("select id, hostname, description from host order by id");//order by description
	if(!isset($hosts) || empty($hosts)){
		catchException("", "hosts", "getHosts", "Records not found", $errors);
		return 1;
	}
	return $hosts;
}

function getHostByfqdn($fqdn, $dbMustExist, &$errors)
{
	if(empty($fqdn)){
		catchException("", "fqdn", "getHostByfqdn","Value must not be empty", $errors);
		return 1;
	}
	$hostReturn = db_fetch_row("select id, hostname, description from host WHERE hostname = '" . $fqdn . "'");
	if ((!isset($hostReturn) || empty($hostReturn)) && $dbMustExist){
		catchException($fqdn, "fqdn", "getHostByfqdn","Record not found", $errors);
		catchException("", "hostReturn", "getHostByfqdn","Record not found", $errors);
		return 1;
	} /*elseif ((isset($addresseReturn) || !empty($addresseReturn)) && !$dbMustExist){
	catchException($fqdn, "fqdn", "getHostByfqdn","Record already exist", $errors);
	catchException($addresseReturn, "addresseReturn", "getHostByfqdn","Record already exist", $errors);
	return $addresseReturn;
	}*/
	return $hostReturn; //id, hostname, description
}

?>