<?php
include_once("graph_db.php");
include_once("device_db.php");
include_once("././lib/data_query.php");
include_once("././lib/utility.php");
include_once("././lib/sort.php");
include_once("././lib/template.php");
include_once("././lib/api_data_source.php");
include_once("././lib/api_graph.php");
include_once("././lib/snmp.php");
include_once("././lib/data_query.php");
include_once("././lib/api_device.php");

/* Function add graph DS
 *
 * @arg $graphTitle - Optional, if value empty then v use Suggested Values - (str)
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @arg $snmpQueryId
 * @arg $snmpQueryTypeID
 * @arg $snmpFieldName - name (oid)
 * @arg $snmpValueName - value (oid value)
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_add_Graph_DS($graphTitle, $template_id,
$hostId, $snmpQueryId, $snmpQueryTypeID, $snmpFieldName, $snmpValueName, &$errors){

	getGraphTemplateByID($template_id, $errors);
	$host = getHostByID($hostId, $errors);
	getSNMPQueryByID($snmpQueryId, $errors);
	getSNMPQueryTypeByID($snmpQueryTypeID, $snmpQueryId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_add_Graph_DS", "Error in main function", $errors);
		return 1;
	}

	if (empty($snmpFieldName))catchException("", "snmpFieldName", "api_add_Graph_DS", "Value must not be empty", $errors);
	if (($snmpValueName == ""))catchException("", "snmpValueName", "api_add_Graph_DS", "Value must not be empty", $errors);
	if (!empty($errors)){
		catchException("", "", "api_graph_add_Graph_DS", "Error in main function", $errors);
		return 1;
	}

	$returnArray = array();

	$snmp_query_array = array();
	$snmp_query_array["snmp_query_id"]       = $snmpQueryId;
	$snmp_query_array["snmp_index_on"]       = get_best_data_query_index_type($hostId, $snmpQueryId);//$snmpFieldName;
	$snmp_query_array["snmp_query_graph_id"] = $snmpQueryTypeID;

	$snmp_indexes = db_fetch_assoc("SELECT snmp_index
		FROM host_snmp_cache 
		WHERE host_id = " . $hostId . " 
		AND snmp_query_id = " . $snmpQueryId . "
		AND field_name = '" . $snmpFieldName . "'
		AND field_value = '" . $snmpValueName . "'");
	if (!sizeof($snmp_indexes))
	{
		catchException("", "snmp_indexes", "api_graph_add_Graph_DS", "Record not found", $errors);
		return 1;
	}
	$graphLocals = array();
	foreach ($snmp_indexes as $snmp_index) {
		$snmp_query_array["snmp_index"] = $snmp_index["snmp_index"];
		
		$graphLocalId = db_fetch_cell("SELECT id 
			FROM graph_local 
			WHERE graph_template_id = $template_id 
			AND host_id = $hostId 
			AND snmp_query_id = " . $snmpQueryId . " 
			AND snmp_index = '" . $snmp_query_array["snmp_index"] . "'");
    
    	if (isset($graphLocalId) && $graphLocalId > 0) //warning
    	{
    		//catchException($$graphLocalId, "graphLocalId", "api_graph_add_Graph_DS", "Record exist", $errors);
    		//$returnResult["Errors"] = $errors;
			//return $graphLocalId;
    	} else {
        	$empty = array(); /* Suggested Values are not been implemented */
        	$returnArray = create_complete_graph_from_template($template_id, $hostId, $snmp_query_array, $empty);
        	$graphLocalId = $returnArray["local_graph_id"];
    	}
    	
        if ($graphTitle != "")
    	{
    		db_execute("UPDATE graph_templates_graph 
    		SET title = \"$graphTitle\" 
    		WHERE local_graph_id = " . $graphLocalId);
    		
    		update_graph_title_cache($graphLocalId);
    	}
    	
        /*$dataSourceId = db_fetch_cell("SELECT DISTINCT 
        data_template_rrd.local_data_id
        FROM graph_templates_item, data_template_rrd
        WHERE graph_templates_item.local_graph_id = " . $graphLocalId .
        " AND graph_templates_item.task_item_id = data_template_rrd.id");*/
		array_push($graphLocals, $graphLocalId);
    	
	}
	push_out_host($hostId, 0);
		
	return $graphLocals;
}

/* Function add graph CG
 *
 * @arg $graphTitle - Optional, if value empty then v use Suggested Values - (str)
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */

function api_graph_add_Graph_CG($graphTitle, $template_id, $hostId, $values, $force, &$errors){
	getGraphTemplateByID($template_id, $errors);
	getHostByID($hostId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_add_Graph_CG", "Error in main function", $errors);
		return 1;
	}
	
	//################################################################
    //* This is not been implemented */
	/*
	  $values["cg"][graph_template_id]["graph_template"][field_name] = $value  // graph template
	  $values["cg"][graph_template_id]["graph_template_item"][graph_template_item_id][field_name] = $value  // graph template item
	  $values["cg"][data_template_id]["data_template"][field_name] = $value  // data template
	  $values["cg"][data_template_id]["data_template_item"][data_template_item_id][field_name] = $value  // data template item
	  $values["sg"][data_query_id][graph_template_id]["graph_template"][field_name] = $value  // graph template (w/ data query)
	  $values["sg"][data_query_id][graph_template_id]["graph_template_item"][graph_template_item_id][field_name] = $value  // graph template item (w/ data query)
	  $values["sg"][data_query_id][data_template_id]["data_template"][field_name] = $value  // data template (w/ data query)
	  $values["sg"][data_query_id][data_template_id]["data_template_item"][data_template_item_id][field_name] = $value  // data template item (w/ data query) */
	

	/*if (strlen($cgInputFields)) {
		$fields = explode(" ", $cgInputFields);

		if (sizeof($fields)) {
			foreach ($fields as $option) {
				$data_template_id = 0;
				$option_value = explode("=", $option);

				if (substr_count($option_value[0], ":")) {
					$compound = explode(":", $option_value[0]);
					$data_template_id = $compound[0];
					$field_name       = $compound[1];
				}else{
					$field_name       = $option_value[0];
				}*/

				/* check for the input fields existance */
				/*$field_found = FALSE;
				if (sizeof($input_fields)) {
					foreach ($input_fields as $key => $row) {
						if (substr_count($key, $field_name)) {
							if ($data_template_id == 0) {
								$data_template_id = $row["data_template_id"];
							}

							$field_found = TRUE;

							break;
						}
					}
				}

				if (!$field_found) {
					echo "ERROR: Unknown input-field (" . $field_name . ")\n";
					echo "Try --list-input-fields\n";
					exit(1);
				}

				$value = $option_value[1];

				$values["cg"][$template_id]["custom_data"][$data_template_id][$input_fields[$data_template_id . ":" . $field_name]["data_input_field_id"]] = $value;
			}
		}
	}*/
	//################################################################
	
	
	$returnArray = array();

	$empty = array(); /* Suggested Values are not been implemented */

	$graphLocalId = db_fetch_cell("SELECT id FROM graph_local WHERE graph_template_id = $template_id AND host_id = $hostId");
	/*$dataSourceId  = db_fetch_cell("SELECT DISTINCT
			data_template_rrd.local_data_id
			FROM graph_templates_item, data_template_rrd
			WHERE graph_templates_item.local_graph_id = " . $existsAlready . "
			AND graph_templates_item.task_item_id = data_template_rrd.id");*/
	
	if (isset($graphLocalId) && ($graphLocalId > 0)) //warning
	{
		if (!$force){
    		$graphLocals = array();
    		array_push($graphLocals, $graphLocalId);
    		return $graphLocals;
		}
			/*catchException($graphLocalId, "graphLocalId", "api_graph_add_Graph_DS", "Record exist", $errors);
			$returnResult["Errors"] = $errors;
			return $errors;*/
	}

	$returnArray = create_complete_graph_from_template($template_id, $hostId, "", $values);

	if ($graphTitle != "")
	{
		db_execute("update graph_templates_graph set title = \"$graphTitle\" where local_graph_id = " . $returnArray["local_graph_id"]);
		update_graph_title_cache($returnArray["local_graph_id"]);
	}

	push_out_host($hostId,0);
	/*$dataSourceId = db_fetch_cell("SELECT DISTINCT data_template_rrd.local_data_id
	 FROM graph_templates_item, data_template_rrd
	 WHERE graph_templates_item.local_graph_id = " . $returnArray["local_graph_id"] .
	 " AND graph_templates_item.task_item_id = data_template_rrd.id");
	*/

	if (!isset($returnArray) || empty($returnArray)){
		catchException("", "returnArray", "api_add_Graph_CG", "Record not exist", $errors);
		return 1;
	}
	$graphLocals = array();
	$graphLocalId = $returnArray["local_graph_id"];
	array_push($graphLocals, $graphLocalId);
	return $graphLocals;

}

/* Function check graph DS if exist
 *
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @arg $snmpQueryId
 * @arg $snmpFieldName - name (oid)
 * @arg $snmpValueName - value (oid value)
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_Graph_DS_By_Data($template_id,
$hostId, $snmpQueryId, $snmpFieldName, $snmpValueName, &$errors){

	getGraphTemplateByID($template_id, $errors);
	getHostByID($hostId, $errors);
	getSNMPQueryByID($snmpQueryId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_get_Graph_DS_By_Data", "Error in main function", $errors);
		return 1;
	}

	if (empty($snmpFieldName))catchException("", "snmpFieldName", "api_graph_get_Graph_DS_By_Data", "Value must not be empty", $errors);
	if (($snmpValueName == ""))catchException("", "snmpValueName", "api_graph_get_Graph_DS_By_Data", "Value must not be empty", $errors);
	if (!empty($errors)){
		catchException("", "", "api_graph_get_Graph_DS_By_Data", "Error in main function", $errors);
		return 1;
	}

	$returnArray = array();

	$snmp_query_array = array();
	$snmp_query_array["snmp_query_id"]       = $snmpQueryId;
	$snmp_query_array["snmp_index_on"]       = $snmpFieldName;

	$snmp_indexes = db_fetch_assoc("SELECT snmp_index
		FROM host_snmp_cache 
		WHERE host_id = " . $hostId . " 
		AND snmp_query_id = " . $snmpQueryId . " 
		AND field_name = '" . $snmpFieldName . "' 
		AND field_value = '" . $snmpValueName . "'");
	
	if (!sizeof($snmp_indexes))
	{
		catchException($hostId, "hostId", "api_graph_get_Graph_DS_By_Data", "Record not found", $errors);
		catchException($snmpQueryId, "snmpQueryId", "api_graph_get_Graph_DS_By_Data", "Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "api_graph_get_Graph_DS_By_Data", "Record not found", $errors);
		catchException($snmpValueName, "snmpValueName", "api_graph_get_Graph_DS_By_Data", "Record not found", $errors);
		catchException("", "snmp_indexes", "api_graph_get_Graph_DS_By_Data", "Record not found", $errors);
		return 1;
	}
	
	$graphLocals = array();
	foreach ($snmp_indexes as $snmp_index) {
		$snmp_query_array["snmp_index"] = $snmp_index["snmp_index"];

    	$graphLocalId = db_fetch_cell("SELECT id 
    		FROM graph_local 
    		WHERE graph_template_id = $template_id 
    		AND host_id = $hostId 
    		AND snmp_query_id = " . $snmpQueryId . " 
    		AND snmp_index = '" . $snmp_query_array["snmp_index"] . "'");

        	/*if (!isset($graphLocalId) || empty($graphLocalId))
        	{
        		catchException($snmp_query_array["snmp_index"], "snmp_index", "api_graph_get_Graph_DS_By_Data", "Record not exist", $errors);
        		catchException($snmpQueryId, "snmpQueryId", "api_graph_get_Graph_DS_By_Data", "Record not exist", $errors);
        		catchException($hostId, "hostId", "api_graph_get_Graph_DS_By_Data", "Record not exist", $errors);
        		catchException($template_id, "template_id", "api_graph_get_Graph_DS_By_Data", "Record not exist", $errors);
        		catchException("", "graphLocalId", "api_graph_get_Graph_DS_By_Data", "Record not exist", $errors);
        	}*/

			if (isset($graphLocalId) && $graphLocalId > 0)
        		array_push($graphLocals, $graphLocalId);
	}
	return $graphLocals;
}

/* Function check graph CG if exist
 *
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_Graph_CG_By_Data($template_id, $hostId, &$errors){

	getGraphTemplateByID($template_id, $errors);
	getHostByID($hostId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_add_Graph_CG_By_Data", "Error in main function", $errors);
		return 1;
	}
	//$empty = array();
	/* Suggested Values are not been implemented */

	$graphLocalId = db_fetch_cell("select id from graph_local where graph_template_id = $template_id AND host_id = $hostId");
	if (!isset($graphLocalId) || empty($graphLocalId))
	{
		catchException($hostId, "hostId", "api_graph_add_Graph_CG_By_Data", "Record not exist", $errors);
		catchException($template_id, "template_id", "api_graph_add_Graph_CG_By_Data", "Record not exist", $errors);
		catchException("", "graphLocalId", "api_graph_add_Graph_CG_By_Data", "Record not exist", $errors);
		return 1;
	}
	$graphLocals = array();
	array_push($graphLocals, $graphLocalId);
	return $graphLocals;
}

/* Function update graph DC title
 *
 * @arg $graphTitle - Optional, if value empty then v use Suggested Values - (str)
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @arg $snmpQueryId
 * @arg $snmpFieldName - name (oid)
 * @arg $snmpValueName - value (oid value)
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_update_Graph_Title_DS($graphTitle, $template_id, $hostId,
$snmpQueryId, $snmpFieldName, $snmpValueName, &$errors){

	getGraphTemplateByID($template_id, $errors);
	getHostByID($hostId, $errors);
	getSNMPQueryByID($snmpQueryId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_update_Graph_Title_DS", "Error in main function", $errors);
		return 1;
	}

	$snmp_indexes = db_fetch_cell("select snmp_index from host_snmp_cache WHERE host_id = " . $hostId . " and snmp_query_id = " . $snmpQueryId . " and field_name = '" . $snmpFieldName . "' and field_value = '" . $snmpValueName . "'");
	if (!sizeof($snmp_indexes))
	{
		catchException($hostId, "hostId", "api_graph_update_Graph_Title_DS", "Record not found", $errors);
		catchException($snmpQueryId, "snmpQueryId", "api_graph_update_Graph_Title_DS", "Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "api_graph_update_Graph_Title_DS", "Record not found", $errors);
		catchException($snmpValueName, "snmpValueName", "api_graph_update_Graph_Title_DS", "Record not found", $errors);
		catchException("", "snmp_indexes", "api_graph_update_Graph_Title_DS", "Record not found", $errors);
		return 1;
	}
	$graphLocals = array();
	foreach ($snmp_indexes as $snmp_index) {
		$snmp_query_array["snmp_index"] = $snmp_index["snmp_index"];
		
    	$graphLocalId = db_fetch_cell("SELECT id 
    		FROM graph_local 
    		WHERE graph_template_id = $template_id 
    		AND host_id = $hostId 
    		AND snmp_query_id = " . $snmpQueryId . " 
    		AND snmp_index = '" . $snmp_query_array["snmp_index"] . "'");

    	if (isset($graphLocalId) && $graphLocalId > 0)
    	{
    		//if ($graphTitle != "")
    		//{
    		db_execute("update graph_templates_graph set title = \"$graphTitle\" where local_graph_id = $graphLocalId");
    		update_graph_title_cache($graphLocalId);
    		//}
    		/*$dataSourceId = db_fetch_cell("SELECT DISTINCT data_template_rrd.local_data_id
                                                 FROM graph_templates_item, data_template_rrd
                                               WHERE graph_templates_item.local_graph_id = " . $graphLocalId .
    		" AND graph_templates_item.task_item_id = data_template_rrd.id");*/
    			
    		/*if(!isset($dataSourceId) || empty($dataSourceId)){
    			catchException("", "dataSourceId", "api_graph_update_Graph_Title_DS", "Error in main function", $errors);
    			return 1;
    		}*/
    		array_push($graphLocals,$graphLocalId);
    	} else {
    		catchException("", "", "api_graph_update_Graph_Title_DS","Record not exist", $errors);
    	}
	}
	if(!empty($errors))return 1;
	return $graphLocals;
}

/* Function update graph CG title
 *
 * @arg $graphTitle - Optional, if value empty then v use Suggested Values - (str)
 * @arg $template_id - id of graph id - (num)
 * @arg $hostId - id of host to graph
 * @returns - $local_graph_id - return graph id (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_update_Graph_Title_CG($graphTitle, $template_id, $hostId, &$errors){

	getGraphTemplateByID($template_id, $errors);
	getHostByID($hostId, $errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_update_Graph_Title_CG", "Error in main function", $errors);
		return 1;
	}

	$graphLocalId = db_fetch_cell("select id from graph_local where graph_template_id = $template_id AND host_id = $hostId");
	if (isset($graphLocalId) && $graphLocalId > 0)
	{
		//if ($graphTitle != "")
		//{
		db_execute("update graph_templates_graph set title = \"$graphTitle\" where local_graph_id = $graphLocalId");
		update_graph_title_cache($graphLocalId);
		//}
		$dataSourceId = db_fetch_cell("SELECT DISTINCT data_template_rrd.local_data_id
                                             FROM graph_templates_item, data_template_rrd
                                           WHERE graph_templates_item.local_graph_id = " . $graphLocalId .
		" AND graph_templates_item.task_item_id = data_template_rrd.id");

		if(!isset($dataSourceId) || empty($dataSourceId)){
			catchException("", "dataSourceId", "api_graph_update_Graph_Title_CG", "Error in main function", $errors);
			return 1;
		}
		$graphLocals = array();
		array_push($graphLocals, $graphLocalId);
		return $graphLocals;
	} else {
		catchException("", "", "api_graph_update_Graph_Title_CG","Record not exist", $errors);
		return 1;
	}
}

/* Function check if field name and value for host exist
 *
 * @arg $hostId - id of host to graph
 * @arg $snmpFieldName - name (oid)
 * @arg $snmpValueName - value (oid value)
 * @returns - ["host_id", "field_name", "field_value"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Value_by_Name($hostId, $snmpFieldName, $snmpValueName, &$errors)
{
	$fieldValue = getSNMPValueByName($hostId, $snmpFieldName, $snmpValueName, $errors);//host_id, field_name, field_value
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Value_by_Name", "Error in main function", $errors);
		return 1;
	}
	return $fieldValue;
}

/* Function check if field value for host exist
 *
 * @arg $hostId - id of host to graph
 * @arg $snmpFieldName - name (oid)
 * @returns - ["host_id", "field_name", "field_value"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Values($hostId, $snmpFieldName, &$errors)
{
	$snmpValues = getSNMPValues($hostId, $snmpFieldName, $errors);//host_id, field_name, field_value 
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Values", "Error in main function", $errors);
		return 1;
	}
	return $snmpValues;
}

/* Function get list of all fields for selected host
 *
 * @arg $hostId - id of host to graph
 * @returns - list ["host_id", "field_name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Fields($hostId, &$errors)
{
	$snmpFields = getSNMPFields($hostId, $errors);//host_id, field_name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Fields", "Error in main function", $errors);
		return 1;
	}
	return $snmpFields;
}

/* Function check if feld for selected host exisist
 *
 * @arg $hostId - id of host to graph
 * @arg $snmpFieldName - name of Field (oid)
 * @returns - list ["host_id", "field_name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Field_By_Name($hostId, $snmpFieldName, &$errors)
{
	$snmpField = getSNMPFieldByName($hostId, $snmpFieldName, $errors);//host_id, field_name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Field_By_Name", "Error in main function", $errors);
		return 1;
	}
	return $snmpField;
}

/* Function get list of all graph templates
 *
 * @returns - list ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_Graph_Templates(&$errors)
{
	$templates = getGraphTemplates($errors); //id, name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_Graph_Templates", "Error in main function", $errors);
		return 1;
	}
	return $templates;
}

/* Function get graph template selected by name
 *
 * @arg - $graphTemplateName - name of graph template (str)
 * @returns - ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_Graph_Template_by_Name($graphTemplateName, &$errors)
{
	$graph_template = getGraphTemplateByName($graphTemplateName, $errors);//id, name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_Graph_Template_by_Name", "Error in main function", $errors);
		return 1;
	}
	return $graph_template;
}

/* Function get data template selected by name
 *
 * @arg - $dataTemplateName - name of data template (str)
 * @returns - ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_data_get_Data_Template_by_Name($dataTemplateName, &$errors)
{
	$data_template = getDataTemplateByName($dataTemplateName, $errors);//id, name
	if(!empty($errors)){
		catchException("", "", "api_data_get_Data_Template_by_Name", "Error in main function", $errors);
		return 1;
	}
	return $data_template;
}

/* Function get query type id selected by query id and query type name
 *
 * @arg - $snmpQueryTypeName - query type name (str)
 * @arg - $snmpQueryId - query name (str)
 * @returns - $queryTypeID - (num)
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Query_Type_By_Name($snmpQueryTypeName, $snmpQueryId, &$errors)
{
	$type = getSNMPQueryTypeByName($snmpQueryTypeName, $snmpQueryId, $errors);//id, name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Query_Type_By_Name", "Error in main function", $errors);
		return 1;
	}
	return $type;
}

/* Function get list of all query types selected by query id
 *
 * @arg - $snmpQueryId - query name (str)
 * @returns - list ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Query_Types($snmpQueryId, &$errors)
{
	$types = getSNMPQueryTypes($snmpQueryId, $errors);//id, name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Query_Types", "Error in main function", $errors);
		return 1;
	}
	return $types;
}

/* Function get query by id selected by query name
 *
 * @arg - $snmpQueryId - query name (str)
 * @returns - list ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Query_By_Name($snmpQueryName, &$errors)
{
	$query = getSNMPQueryByName($snmpQueryName, $errors);//id, name
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Query_By_Name", "Error in main function", $errors);
		return 1;
	}
	return $query;
}

/* Function get list all of queries
 *
 * @returns - list ["id", "name"]
 * @Exception - Input validation, No DB data
 * @Waring - Non
 */
function api_graph_get_SNMP_Queries(&$errors)
{
	$queries = getSNMPQueries($errors);
	if(!empty($errors)){
		catchException("", "", "api_graph_get_SNMP_Queries", "Error in main function", $errors);
		return 1;
	}
	return $queries;
}
?>