<?php

function getSNMPFieldByName($hostId, $snmpFieldName, &$errors)
{
	if(empty($hostId)){
		catchException("", "hostId", "getSNMPFieldByName", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpFieldName)){
		catchException("", "snmpFieldName", "getSNMPFieldByName", "Value must not be empty", $errors);
		return 1;
	}
	$fieldReturn = db_fetch_row("select distinct host_id, field_name from host_snmp_cache where host_id = " . $hostId . " AND field_name = '" . $snmpFieldName . "'");
	if(!isset($fieldReturn) || empty($fieldReturn)){
		catchException($hostId, "hostId", "getSNMPFieldByName", "Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "getSNMPFieldByName", "Record not found", $errors);
		return 1;
	}

	return $fieldReturn["field_name"];
}

function getSNMPFields($hostId, &$errors)
{
	if(empty($hostId)){
		catchException("", "hostId", "getSNMPFields", "Value must not be empty", $errors);
		return 1;
	}
	$fieldReturn = db_fetch_assoc("select distinct host_id, field_name from host_snmp_cache where host_id = " . $hostId . " order by field_name");
	if(!isset($fieldReturn) || empty($fieldReturn)){
		catchException($hostId, "hostId", "getSNMPFieldByName", "Record not found", $errors);
		catchException("", "fieldReturn", "getSNMPFieldByName", "Record not found", $errors);
		return 1;
	}
	return $fieldReturn;
}

function getSNMPValueByName($hostId, $snmpFieldName, $snmpValueName, &$errors)
{
	if(empty($hostId)){
		catchException("", "hostId", "getSNMPValueByName", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpFieldName)){
		catchException("", "snmpFieldName", "getSNMPValueByName", "Value must not be empty", $errors);
		return 1;
	}
	if(($snmpValueName == "")){
		catchException("", "snmpValueName", "getSNMPValueByName", "Value must not be empty", $errors);
		return 1;
	}

	$fieldValueReturn = db_fetch_row("select host_id, field_name, field_value from host_snmp_cache where host_id = " . $hostId . " and field_name = '" . $snmpFieldName . "' AND field_value = '" . $snmpValueName . "'");

	if(!isset($fieldValueReturn) || empty($fieldValueReturn)){
		catchException($hostId, "hostId", "getSNMPValueByName", "Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "getSNMPValueByName", "Record not found", $errors);
		catchException($snmpValueName, "snmpValueName", "getSNMPValueByName", "Record not found", $errors);
		catchException("", "fieldValueReturn", "getSNMPValueByName", "Record not found", $errors);
		return 1;
	}

	return $fieldValueReturn;
}

function getSNMPValues($hostId, $snmpFieldName, &$errors)
{
	if(empty($hostId)){
		catchException("", "hostId", "getSNMPValues", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpFieldName)){
		catchException("", "snmpFieldName", "getSNMPValues", "Value must not be empty", $errors);
		return 1;
	}

	$fieldValuesReturn = db_fetch_assoc("select host_id, field_name, field_value from host_snmp_cache where host_id = " . $hostId . " and field_name = '" . $snmpFieldName . "' order by field_value");
	if(!isset($fieldValuesReturn) || empty($fieldValuesReturn)){
		catchException($hostId, "hostId", "getSNMPValues", "Record not found", $errors);
		catchException($snmpFieldName, "snmpFieldName", "getSNMPValues", "Record not found", $errors);
		catchException("", "fieldValuesReturn", "getSNMPValues", "Record not found", $errors);
		return 1;
	}

	/*foreach ($tmpArray as $v)
	 {
	 $$fieldValues[$v["field_value"]] = 1;
	 }*/
	return $fieldValuesReturn;
}

function getSNMPQueries(&$errors)
{
	$queriesReturn = db_fetch_assoc("select id, name from snmp_query order by id");
	if(!isset($queriesReturn) || empty($queriesReturn)){
		catchException("", "queriesReturn", "getSNMPQueries", "Records not found", $errors);
		return 1;
	}
	return $queriesReturn;
}

function getSNMPQueryTypes($snmpQueryId, &$errors)
{
	if(empty($snmpQueryId)){
		catchException("", "snmpQueryId", "getSNMPQueryTypes", "Value must not be empty", $errors);
		return 1;
	}
	$typesReturn = db_fetch_assoc("select id, name from snmp_query_graph where snmp_query_id = " . $snmpQueryId . " order by id");
	if(!isset($typesReturn) || empty($typesReturn)){
		catchException($snmpQueryId, "snmpQueryId", "getSNMPQueryTypes", "Records not found", $errors);
		catchException("", "typesReturn", "getSNMPQueryTypes", "Records not found", $errors);
		return 1;
	}
	return $typesReturn;
}

function getGraphTemplates()
{
	$graph_templates = db_fetch_assoc("select id, name from graph_templates order by id");
	if(!isset($graph_templates) || empty($graph_templates)){
		catchException("", "$graph_templates", "getGraphTemplates", "Records not found", $errors);
		return 1;
	}
	return $graph_templates;
}

function getGraphTemplateByID($template_id, &$errors)
{
	if(empty($template_id)){
		catchException("", "template_id", "getGraphTemplateByID", "Value must not be empty", $errors);
		return 1;
	}
	$graph_templateReturn = db_fetch_row("select id, name from graph_templates where id = " . $template_id . "");

	if(!isset($graph_templateReturn) || empty($graph_templateReturn)){
		catchException($template_id, "template_id", "getGraphTemplateByID", "Record not found", $errors);
		catchException("", "graph_templateReturn", "getGraphTemplateByID", "Record not found", $errors);
		return 1;
	}
	return $graph_templateReturn;
}

function getGraphTemplateByName($graphTemplateName, &$errors)
{
	if(empty($graphTemplateName)){
		catchException("", "graphTemplateName", "getGraphTemplateByName","Value must not be empty", $errors);
		return 1;
	}
	$graph_templateReturn = db_fetch_row("select id, name from graph_templates where name = '" . $graphTemplateName . "'");

	if(!isset($graph_templateReturn) || empty($graph_templateReturn)){
		catchException($graphTemplateName, "graphTemplateName", "getGraphTemplateByName","Record not found", $errors);
		catchException("", "graphTemplateName", "graph_templateReturn","Record not found", $errors);
		return 1;
	}
	return $graph_templateReturn;
}

function getDataTemplateByName($dataTemplateName, &$errors)
{
	if(empty($dataTemplateName)){
		catchException("", "dataTemplateName", "getDataTemplateByName","Value must not be empty", $errors);
		return 1;
	}
	$data_templateReturn = db_fetch_row("select id, name from data_template where name = '" . $dataTemplateName . "'");

	if(!isset($data_templateReturn) || empty($data_templateReturn)){
		catchException($dataTemplateName, "dataTemplateName", "getDataTemplateByName","Record not found", $errors);
		catchException("", "data_templateReturn", "getDataTemplateByName","Record not found", $errors);
		return 1;
	}
	return $data_templateReturn;
}

function getDataTemplateById($dataTemplateId, &$errors)
{
	if(empty($dataTemplateId)){
		catchException("", "dataTemplateId", "getDataTemplateById","Value must not be empty", $errors);
		return 1;
	}
	$data_templateReturn = db_fetch_row("select id, name from data_template where id = " . $dataTemplateId . "");

	if(!isset($data_templateReturn) || empty($data_templateReturn)){
		catchException($dataTemplateId, "dataTemplateId", "getDataTemplateById","Record not found", $errors);
		catchException("", "data_templateReturn", "getDataTemplateById","Record not found", $errors);
		return 1;
	}
	return $data_templateReturn;
}

function getSNMPQueryByID($snmpQueryId, &$errors)
{
	if(empty($snmpQueryId)){
		catchException("", "snmpQueryId", "getSNMPQueryByID", "Value must not be empty", $errors);
		return 1;
	}
	$queryReturn = db_fetch_row("select id, name from snmp_query WHERE id = " . $snmpQueryId . "");
	if(!isset($queryReturn) || empty($queryReturn)){
		catchException($snmpQueryId, "snmpQueryId", "getSNMPQueryByID", "Record not found", $errors);
		catchException("", "queryReturn", "getSNMPQueryByID", "Record not found", $errors);
		return 1;
	}
	return $queryReturn;
}

function getSNMPQueryByName($snmpQueryName, &$errors)
{
	if(empty($snmpQueryName)){
		catchException("", "snmpQueryName", "getSNMPQueryByName", "Value must not be empty", $errors);
		return 1;
	}
	$queryReturn = db_fetch_row("select id, name from snmp_query WHERE name = '" . $snmpQueryName . "'");
	if(!isset($queryReturn) || empty($queryReturn)){
		catchException($snmpQueryName, "snmpQueryName", "getSNMPQueryByName", "Record not found", $errors);
		catchException("", "queryReturn", "getSNMPQueryByName", "Record not found", $errors);
		return 1;
	}
	return $queryReturn;
}

function getSNMPQueryTypeByID($snmpQueryTypeID, $snmpQueryId, &$errors)
{
	if(empty($snmpQueryId)){
		catchException("", "snmpQueryId", "getSNMPQueryTypeByID", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpQueryTypeID)){
		catchException("", "snmpQueryTypeID", "getSNMPQueryTypeByID", "Value must not be empty", $errors);
		return 1;
	}
	$typesReturn = db_fetch_row("SELECT id, name from snmp_query_graph where snmp_query_id = " . $snmpQueryId . " AND id = " . $snmpQueryTypeID . "");
	if(!isset($typesReturn) || empty($typesReturn)){
		catchException($snmpQueryId, "snmpQueryId", "getSNMPQueryTypeByID", "Record not found", $errors);
		catchException($snmpQueryTypeID, "snmpQueryTypeID", "getSNMPQueryTypeByID", "Record not found", $errors);
		catchException("", "typesReturn", "getSNMPQueryTypeByID", "Record not found", $errors);
		return 1;
	}
	return $typesReturn;
}

function getSNMPQueryTypeByName($snmpQueryTypeName, $snmpQueryId, &$errors)
{
	if(empty($snmpQueryTypeName)){
		catchException("", "snmpQueryTypeName", "getSNMPQueryTypeByName", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($snmpQueryId)){
		catchException("", "snmpQueryId", "getSNMPQueryTypeByName", "Value must not be empty", $errors);
		return 1;
	}
	$typesReturn = db_fetch_row("SELECT id, name from snmp_query_graph where snmp_query_id = " . $snmpQueryId . " AND name = '" . $snmpQueryTypeName . "'");
	if(!isset($typesReturn) || empty($typesReturn)){
		catchException($snmpQueryId, "snmpQueryId", "getSNMPQueryTypeByName", "Record not found", $errors);
		catchException($snmpQueryTypeName, "snmpQueryTypeName", "getSNMPQueryTypeByName", "Record not found", $errors);
		catchException("", "typesReturn", "getSNMPQueryTypeByName", "Record not found", $errors);
		return 1;
	}
	return $typesReturn;
}

?>