<?php

function getTrees(&$errors)
{
	$treesReturn = db_fetch_assoc("select id, name from graph_tree order by id");
	if(!isset($treesReturn) || empty($treesReturn)){
		catchException("", "treesReturn", "getTrees", "Records not found", $errors);
		return 1;
	}
	return $treesReturn;
}

function getTreeByName($name, $dbMustExist, &$errors)
{
	if(empty($name)){
		catchException($name, "name", "getTreeByName", "Value must not be empty", $errors);
		return 1;
	}
	$nameReturn = db_fetch_row("select id, name from graph_tree WHERE name = '" . $name . "'");
	if((!isset($nameReturn)|| empty($nameReturn)) && $dbMustExist){
		catchException($name, "name", "getTreeByName", "Record not found", $errors);
		catchException("", "nameReturn", "getTreeByName", "Record not found", $errors);
		return 1;
	} /*elseif ((isset($nameReturn) || !empty($nameReturn)) && !$dbMustExist) {
	catchException($name, "name", "getTreeByName", "Record already exist", $errors);
	catchException($nameReturn, "nameReturn", "getTreeByName", "Record already exist", $errors);
	return $nameReturn;
	}*/
	return $nameReturn;
}

function getTreeNodes($treeId, &$errors)
{
	if(empty($treeId)){
		catchException("", "treeId", "getTreeNodes", "Value must not be empty", $errors);
		return 1;
	}
	$nodesReturn = db_fetch_assoc("select id, title from graph_tree_items WHERE graph_tree_id = $treeId AND title != ''");

	if (!isset($nodesReturn) || empty($nodesReturn)){
		catchException($treeId, "treeId", "getTreeNodes", "Records not found", $errors);
		catchException("", "nodesReturn", "getTreeNodes", "Records not found", $errors);
		return 1;
	}
	return $nodesReturn;
}

function getTreeNodeByName($treeId, $title, $dbMustExist, &$errors)
{
	if(empty($treeId)){
		catchException("", "treeId", "getTreeNodeByName", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($title)){
		catchException("", "title", "getTreeNodeByName", "Value must not be empty", $errors);
		return 1;
	}
	$titleReturn = db_fetch_row("select id, title from graph_tree_items WHERE graph_tree_id = $treeId AND title = '" . $title . "'");

	if ((!isset($titleReturn) || empty($titleReturn)) && $dbMustExist){
		catchException($treeId, "treeId", "getTreeNodeByName", "Record not found", $errors);
		catchException($title, "title", "getTreeNodeByName", "Record not found", $errors);
		catchException("", "titleReturn", "getTreeNodeByName", "Record not found", $errors);
		return 1;
	}
	return $titleReturn;
}

function getParentNodeByHostId($treeId, $hostId, $dbMustExist, $errors)
{
	if(empty($treeId)){
		catchException("", "treeId", "getParentNodeByHostId", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($hostId)){
		catchException("", "hostId", "getParentNodeByHostId","Value must not be empty", $errors);
		return 1;
	}
	$hostNodeReturn = db_fetch_cell("SELECT id, title FROM graph_tree_items WHERE graph_tree_id = $treeId AND host_id = $hostId");
	if ((!isset($hostNodeReturn) || empty($hostNodeReturn)) && $dbMustExist){
		catchException($treeId, "treeId", "getParentNodeByHostId", "Record not exist", $errors);
		catchException($hostId, "hostId", "getParentNodeByHostId", "Record not exist", $errors);
		catchException("", "hostNodeReturn", "getParentNodeByHostId", "Record not exist", $errors);
		return 1;
	} /*elseif((isset($hostNodeReturn) || !empty($hostNodeReturn)) && !$dbMustExist){
	catchException($treeId, "treeId", "getParentNodeByHostId", "Record already exist", $errors);
	catchException($hostId, "hostId", "getParentNodeByHostId", "Record already exist", $errors);
	catchException($hostNodeReturn, "hostNodeReturn", "getParentNodeByHostId", "Record already exist", $errors);
	return $hostNodeReturn;
	}*/
	return $hostNodeReturn;
}

function getParentNode($treeId, $parentNode, &$errors)
{
	if(empty($treeId)){
		catchException("", "treeId", "getParentNode", "Value must not be empty", $errors);
		return 1;
	}
	if(empty($parentNode)){
		catchException("", "parentNode", "getParentNode", "Value must not be empty", $errors);
		return 1;
	}
	$parentNodeReturn = db_fetch_cell("SELECT id, title FROM graph_tree_items WHERE graph_tree_id = $treeId AND id = $parentNode");
	if (!isset($parentNodeReturn) || empty($parentNodeReturn))
	{
		catchException($parentNode, "parentNode", "getParentNode", "Record not found", $errors);
		catchException($treeId, "treeId", "getParentNode", "Record not found", $errors);
		catchException("", "parentNodeReturn", "getParentNode", "Record not found", $errors);
		return 1;
	}
	return $parentNodeReturn;
}

function addTree($name, $sortMethod, &$errors)
{
	if(empty($name)){
		catchException("", "name", "addTree", "Value must not be empty", $errors);
		return 1;
	}

	$sortTypes = array('a' => 2, 'n' => 3, 'm' => 1);

	if (!isset($sortMethod) || empty($sortMethod))
	{
		catchException("", "sortMethod", "addTree", "Value must not be empty", $errors);
		return 1;
	}
	if (!isset($sortTypes[$sortMethod]) || empty($sortTypes[$sortMethod]))
	{
		catchException($sortMethod, "sortTypes", "addTree", "Value must be [a|n|m]", $errors);
		return 1;
	}

	$treeOpts = array();
	$treeOpts["id"]        = 0; # Zero means create a new one rather than save over an existing one
	$treeOpts["name"]      = $name;
	$treeOpts["sort_type"] = $sortTypes[$sortMethod];

	$treeId = sql_save($treeOpts, "graph_tree");
	sort_tree(SORT_TYPE_TREE, $treeId, $treeOpts["sort_type"]);

	if (!isset($treeId) || empty($treeId))
	{
		catchException($name, "name", "addTree", "Record not saved", $errors);
		catchException($sortMethod, "sortMethod", "addTree", "Record not saved", $errors);
		catchException("", "treeId", "addTree", "Record not saved", $errors);
		return 1;
	}
	$treeReturn["id"] = $treeId;
	$treeReturn["name"] = $name;
	return $treeReturn; //id, name
}

?>
